Omniplex Docs

Diagnostics

These API endpoints allow diagnosing potential issues within our API or within any frontend application.

Ping Server

GET
/

This is a simple ping endpoint to check if the API is online. It will return a simple JSON object with a message, docs link, our site link and status page link.

Response Body

Success

application/json
  1. response
docs?string
frontend_url?string
message?string
Example Request
curl -X GET 'https://spider.omniplex.gg'
Example Response
{  "docs": "string",  "frontend_url": "string",  "message": "string"}

Ping Server (HEAD)

HEAD
/

This is a simple ping endpoint to check if the API is online. It will return a simple JSON object with a message, docs link, our site link and status page link.

Response Body

Success

response?[]uint8application/json
Formatbyte
Example Request
curl -X HEAD 'https://spider.omniplex.gg'
Example Response
"string"